package com.bonus.sgzb.base.service;

import com.bonus.sgzb.base.api.domain.SysDic;
import com.bonus.sgzb.common.core.web.domain.AjaxResult;

import java.util.List;


/**
 * 数据字典Service接口
 *
 * @author bonus
 * @date 2023-12-11
 */
public interface ISysDicService
{
    /**
     * 查询数据字典
     *
     * @param id 数据字典主键
     * @return 数据字典
     */
    public SysDic selectSysDicById(Long id);

    /**
     * 查询数据字典列表
     *
     * @param sysDic 数据字典
     * @return 数据字典集合
     */
    public List<SysDic> selectSysDicList(SysDic sysDic);
    /**
     * 查询数据字典列表
     *
     * @param sysDic 数据字典
     * @return 数据字典集合
     */
    public List<SysDic> selectSysDic(SysDic sysDic);
    /**
     * 查询父类数据字典列表
     *
     * @param sysDic 数据字典
     * @return 数据字典集合
     */
    public List<SysDic> selectSysDicLists(SysDic sysDic);
    /**
     * 新增数据字典
     *
     * @param sysDic 数据字典
     * @return 结果
     */
     AjaxResult insertSysDic(SysDic sysDic);

    /**
     * 修改数据字典
     *
     * @param sysDic 数据字典
     * @return 结果
     */
     AjaxResult updateSysDic(SysDic sysDic);
    /**
     * 修改数据字典
     * @param sysDic 数据字典状态
     * @return 结果
     */
    public int update(SysDic sysDic);

    /**
     * 批量删除数据字典
     *
     * @param ids 需要删除的数据字典主键集合
     * @return 结果
     */
    public int deleteSysDicByIds(Long[] ids);

    /**
     * 删除数据字典信息
     *
     * @param id 数据字典主键
     * @return 结果
     */
    public int deleteSysDicById(Long id);

    List<String> getBear();
}
